Subject: bug#14574: prog-prettify-symbols breaks font-locking

From: Juanma Barranquero <[email-masked]>
Date: Mon, 17 Jun 2013 04:49:57 +0200

On Mon, Jun 17, 2013 at 4:45 AM, Eli Zaretskii <[email-masked]> wrote:

> Won't that remove _all_ composition properties, not just those added
> by prog-prettify-symbols?

Yes. So if someone is editing with a programming mode that uses
prettifying, *and* has enabled prettifying, *and* has other,
unrelated, composed chars in the buffer, *and* turns off font-locking,
s/he will have a bit of trouble. Seems bearable to me, pending real
user complains.

   J